const dbConfig = require("../config/db.config.js");
const mongoose = require("mongoose");
mongoose.Promise = global.Promise;
const db = {};
db.mongoose = mongoose;
db.url = dbConfig.url;
db.user = require("./user.model.js")(mongoose);
db.employee = require("./employee.model.js")(mongoose);
db.staff = require("./staff.model")(mongoose);
db.vehicle = require("./vehicle.model")(mongoose);
db.customer = require("./customer.model")(mongoose);
db.route_path = require("./route-path.model")(mongoose);
db.route_path_template = require("./route-path-template.model")(mongoose);
db.report = require("./report.model")(mongoose);
db.client = require("./client.model")(mongoose);
db.message = require("./message.model")(mongoose);
db.resource = require("./resource.model")(mongoose);
db.center_phone = require("./center-phone.model")(mongoose);
db.message_token = require("./message-token.model")(mongoose);
db.sent_message = require("./sent-message.model")(mongoose);
db.calendar_event = require("./calendar-event.model")(mongoose);
db.calendar_event_recur = require("./calendar-event-recur.model")(mongoose);
db.doctemplate = require("./doctemplate.model")(mongoose);
db.exceltemplate = require("./xlsxtemplate.model")(mongoose);
db.timedata = require("./timedata.model")(mongoose);
db.breakfast = require("./breakfast.model")(mongoose);
db.event_request = require("./event-request.model")(mongoose);
db.signature_request = require("./signature-request.model")(mongoose);
db.lunch = require("./lunch.model")(mongoose);
db.snack = require("./snack.model")(mongoose);
db.vehicle_repair = require("./vehicle-repair.model")(mongoose);
db.label = require("./label.model")(mongoose);
db.seating = require("./seating.model")(mongoose);
db.attendance_note = require("./attendance-note.model")(mongoose);
db.carousel = require("./carousel.model")(mongoose);
db.fingerprint_attendance = require("./fingerprint-attendance.model")(mongoose);
db.dailyRoutesTemplate = require("./daily-routes-template.model")(mongoose);
db.msg_custom_template = require("./msg-custom-template.model")(mongoose);
module.exports = db;